<?php 
function upgrade_visitors()
{
	global $querybuild,$countrydet,$inputs,$categorylist;
	
	$desig = $inputs->previlegeU_desig;
	
	// start check privilege details
	$priv_arr=array();
	if(isset($_SESSION["adm_privileges"])){ // chk session value of privileges exists or not
		$adm_priv = rtrim($_SESSION["adm_privileges"],"-");
		$e_adm_priv = explode("-",$adm_priv); // convert string to array
		
		foreach($e_adm_priv as $k=>$v){
			if($v=="A24P" || $v=="A25P" || $v=="A26P" || $v=="A27P" || $v=="A28P") // possible privileges to allow them to visit this page
			$priv_arr[$v]=$v;
		}
	}
	// end check privilege details
	
	if(($desig == 7) && count($priv_arr) == 0){
		header("Location:noprivileges");
		exit;
	}
	
	require_once RIBM_ROOT."/sites/default/theme/admin/functions/admin_memberShip_fn.inc";
	
	//global $pay_cat_arr;
	//print_r($pay_cat_arr['6ls']);
	
	$html = '
<script>
	$(document).ready(function() {
		$(".admin-he").hide(0);
	});
</script>
<style>
	body{font-family:Roboto, Arial;}
	.tdcontent{text-align:center;}
	.trhover:hover{background: #fff !important;}
	.div_ib{display:inline-block;text-align:center;}
	.div_ib > p{font-weight:bold;margin-bottom:5px;}
	.ml20{margin-left:20px;}
	.maindiv{margin:20px;}
	.tbvdiv{margin:40px 20px 20px 20px;}
	.tbshview{width:1200px;table-layout:fixed;border:1px solid black;border-collapse:collapse;}
	.tbdisview{width:100%;table-layout:fixed;border:1px solid black;border-collapse:collapse;}
	.tdpaddleft5{padding-left:5px;}
	.menudiv{margin:20px 20px 40px 40px;}
	.menudiv > a{font-weight:bold;color:blue;margin-right:10px;}
	.menudiv > a:hover{color:red;}
	.martop20{margin-top:20px;}
</style>';
	
	$lang_arr=getGroupByLangUpg($priv_arr);
	
	$html.='
	<form name="upgFrm" method="POST">
		<table class="blo-head" style="height:50px;width:100%;margin-bottom:20px;" border="0">
			<tr>
				<td style="width:200px;">Upgrade Page Visitors</td>
				<td style="text-align:center">
					<div class="maindiv1">
						<div class="div_ib1">
							<p>Language</p>
							<select name="sel_language" onchange="this.form.submit();">
									<option value="" selected>All</option>';
								foreach($lang_arr as $k=>$v){
									$sel="";
									if($v["pro_lang"]==$inputs->sel_language){$sel=" selected ";}
									
									$txtlang=$categorylist->CategoryRecords($v["pro_lang"]);
									
									$html.='<option value="'.$v["pro_lang"].'" '.$sel.'>'.$txtlang.'</option>';
								}
							$html.='	</select>
						</div>
					</div>
				</td>
			</tr>
		</table>
	</form>';
	
	$res = getupgradevisitors($priv_arr);
	$proCnt=count($res);
	
	if($proCnt > 0){
		
$html.='<div>
			<table class="tbdisview martop20" border="1" align="center">
				<tr>
					<th style="width:40px;height:25px;">Sno</th>
					<th style="width:100px;">ProfileID</th>
					<th>Name</th>
					<th>City, State, Country</th>
					<th style="width:100px;">Mother<br>Tongue</th>
					<th>Since</th>
					<!--<th style="width:100px;">Payment<br>Tried</th>
					<th style="width:100px;">Amount</th>
					<th style="width:100px;">Package</th>-->
					<th>Assigned to</th>
					<th>Last Contact on</th>
				</tr>';
		$ti=1;
		foreach($res as $k=>$result){
			$trBgColor = "";
			// tr background
			if ($ti%2 == 0) {
				$trBgColor = "background-color:#e6e6e6;";
			}
		
			$name = $result["dpro_name"];
			
			$city = $result['pro_ncity'];
			$state = $result['pro_nstate'];
			$country = $result['pro_resid'];
			
			$p_rescity = $countrydet->sercity($country,$city);
			$p_country= $countrydet->sercountry($country);
			$p_states = $countrydet->serstate($state,$country);
			$p_lang=$categorylist->CategoryRecords($result['pro_lang']);
			
			//$paymentDetail = getpaytriedinfo($result[0]);
			
			$follstatus=fnGetFollowupStatus($result[0]);
			$assignedto=isset($follstatus["flw_staff"])?$follstatus["flw_staff"]:"";
			$lastcontact=isset($follstatus["fdate"])?$follstatus["fdate"]:"";
			
			$utcTime = new DateTime($result[1]);
			$setTimeZone = new DateTimeZone("Asia/Kolkata");
			$utcTime->setTimezone($setTimeZone);
			$convertToLocal = $utcTime->format("Y-m-d H:i:s");
			
			//$package=isset($pay_cat_arr[$paymentDetail['o_type']])?$pay_cat_arr[$paymentDetail['o_type']]:"-";
		
		$html.='<tr style="'.$trBgColor.'height:25px;">
					<td style="text-align:center;">'.$ti.'</td>				
					<td style="text-align:center;"><a href="profile?epid='.$result[0].'" target="_blank">'.$result[0].'</a></td>
					<td class="tdpaddleft5" style="text-align:center;">'.$name.'</td>
					<td class="tdpaddleft5" style="text-align:center;">'.$p_rescity.', '.$p_states.', '.$p_country.'</td>
					<td class="tdpaddleft5">'.$p_lang.'</td>
					<td class="tdpaddleft5" style="text-align:center;">'.$convertToLocal.'</td>';
		/*$html.='
					<td class="tdpaddleft5">'.$paymentDetail['tried'].'</td>
					<td style="text-align:center;">'.$paymentDetail['amount'].'</td>
					<td class="tdpaddleft5">'.$package.'</td>';*/
		$html.='
					<td class="tdpaddleft5">'.$assignedto.'</td>
					<td class="tdpaddleft5" style="text-align:center;">'.$lastcontact.'</td>
				</tr>';
			$ti++;
		}
$html.='
			</table>
		</div>';
	}
	return $html;
}

function getupgradevisitors($priv_arr)
{
	global $dbase,$inputs;
	
	$desig = $inputs->previlegeU_desig;
	
	$lsql="";
	if($inputs->sel_language!=""){
		$lsql="and p.pro_lang='$inputs->sel_language'";
	}
	
	$csql="";
	if($desig==7){
		if(array_key_exists("A27P",$priv_arr)){ // All over india
			$csql="and p.pro_resid='122'";
		}else if(array_key_exists("A28P",$priv_arr)){ // Other country except india
			$csql="and p.pro_resid!='122'";
		}else if(array_key_exists("A24P",$priv_arr)){ // Tamil Nadu
			$csql="and p.pro_resid='122' and p.pro_nstate='254'";
		}else if(array_key_exists("A25P",$priv_arr)){ // All over india except tamil nadu
			$csql="and p.pro_resid='122' and p.pro_nstate!='254'";
		}
	}
	
	$sql = "select profileid,date,d.dpro_name,p.pro_nstate,p.pro_ncity,p.pro_resid,p.pro_lang from trace_upgrade_mem as t join profile p on 
			t.profileid = p.pro_profileid join det_profile d on p.pro_profileid = d.dpro_profileid where 
			t.date between date_sub(curdate(), interval '11:30' hour_minute) and now() and p.pro_type = 0 
			 and t.profileid != '' $lsql $csql group by t.profileid desc order by date desc ";
	$rs= $dbase->db_sql_query($sql);
	return fnUpgVArrType($rs);
}

function getpaytriedinfo($pid)
{
	global $dbase;
	//$sql = "select o_amt from order_failure where o_profileid='$pid' and date(o_paydate) = curdate() order by o_id desc limit 1";
	// start on 25/1/17 by peer mohaideen
	$sql = "select o_amt,o_currency,o_type from orders_tried where o_profileid='$pid' and date(o_paydate) = curdate() order by o_paydate DESC";
	$row1 = $dbase->db_sql_query($sql);
	
	$row = array();
	$returnArray = array();
	$returnArray['tried'] = 'No';
	$returnArray['amount'] = '-';
	$returnArray['o_type'] = '-';
	
	if (!is_array($row1[0]) && (count($row1) > 0)) {
		$row[0] = $row1;
	} else {
		$row = $row1;
	}
	
	$rCount = count($row);
	if ($rCount > 0) {
		$timestr = ($rCount > 1)?' times':' time';
		$returnArray['tried'] = $rCount . $timestr;
		$returnArray['amount'] = str_replace('m_', '', $row[0]['o_currency']) . ' ' . $row[0]['o_amt'];
		$returnArray['o_type'] = $row[0]['o_type'];
	}
	return $returnArray;
// 	return $row[0];
}

function fnGetFollowupStatus($profileid){
	global $inputs,$dbase;
	
	$sql="select f.flw_staff,date(c.act_date) fdate from followup_history_bucket f left join ".CADB_name.".call_activity_bucket c on c.profileid=f.profileid and c.staff=f.flw_staff where f.status='0' and f.profileid='$profileid' order by f.date desc limit 1";
	$rs=$dbase->db_sql_query($sql);
	
	$retval=array();
	if(count($rs)>0){
		$retval=$rs;
	}
	
	return $retval;
	
}

function fnUpgVArrType($eque){
	$retval=array();
	if(count($eque)>0){
		if(is_array($eque[0])){
			$retval=$eque;
		}else{
			$retval[0]=$eque;
		}
	}
	
	return $retval;
}

function getGroupByLangUpg($priv_arr){
	global $dbase,$inputs;
	
	$desig = $inputs->previlegeU_desig;
	
	$csql="";
	if($desig==7){
		if(array_key_exists("A27P",$priv_arr)){ // All over india
			$csql="and p.pro_resid='122'";
		}else if(array_key_exists("A28P",$priv_arr)){ // Other country except india
			$csql="and p.pro_resid!='122'";
		}else if(array_key_exists("A24P",$priv_arr)){ // Tamil Nadu
			$csql="and p.pro_resid='122' and p.pro_nstate='254'";
		}else if(array_key_exists("A25P",$priv_arr)){ // All over india except tamil nadu
			$csql="and p.pro_resid='122' and p.pro_nstate!='254'";
		}
	}

	$sql = "select p.pro_lang from trace_upgrade_mem as t join profile p on
			t.profileid = p.pro_profileid join det_profile d on p.pro_profileid = d.dpro_profileid where
			t.date between date_sub(curdate(), interval '11:30' hour_minute) and now() and p.pro_type = 0
			 and t.profileid != '' $csql group by p.pro_lang order by p.pro_lang";
	$rs= $dbase->db_sql_query($sql);
	return fnUpgVArrType($rs);
}
?>
